# ## Format of this file
#
# The top-level keys in this file correspond with directories under resources/lib/.
# These in turn are registered as module bundles in Resources.php.
#
# ## How to install a foreign resource
#
# 1. Add or update the url(s) for the upstream module to this YAML file.
#
#    Look at other modules for examples. To install a module from npm,
#    we use the tarball distribution from npmjs.org. This is the same as what
#    the npm CLI uses. For example, to install jquery-client@9.2.0, use:
#    <https://registry.npmjs.org/jquery-client/-/jquery-client-9.2.0.tgz>.
#
# 2. If the upstream maintainers publish an integrity hash, set that as well.
#    Otherwise, use manageForeignResources.php to compute the integrity hash.
#
#    Run `php manageForeignResources.php make-sri "my module name"`
#
#    This will download the specified file(s) and print their integrity hashes,
#    already formatted in YAML, ready for copying to this file.
#
# 3. Last but not least, decide where files go.
#
#    If you specified a direct url to JavaScript or CSS file, this step is
#    optional. See the corresponding documentation section below for more
#    information and examples for "dest" keys. Once you've set any "dest" keys,
#    run `php manageForeignResources.php update "my module name"`.
#
# ## Package formats
#
# Each top-level key must use one of these types:
#
# - `file`: For a plain file.
# - `multi-file`: For multiple plain files.
# - `tar`: For a tarball archive (file may be compressed).
# - `zip`: For a zipped archive (file may be compressed).
# - `doc-only`: For documenting that a package is used, without managing it
#
# ### Shared fields
#
# The following fields are shared by all package types:
# * `license` : SPDX license identifier
# * `purl` : [optional] package-url specifier ( https://github.com/package-url/purl-spec )
# * `homepage` : [optional] Homepage URL of library, to be shown on Special:Version
# * `authors` : [optional] Authors string of library, to be shown on Special:Version
# * `version` : [optional] Version string of library, to be shown on Special:Version
#
# ### The "file" type
#
# Besides the shared ones, the following fields are used:
# * `src`: Full URL to the remote resource.
# * `integrity`: Cryptographic hash (integrity metadata format per <https://www.w3.org/TR/SRI/>).
# * `dest`: [optional] The file name to use in the module directory. Default: Basename of URL.
#
# For example, the following would produce resources/lib/mymodule/x.js:
#
#     mymodule:
#       type: file
#       src: https://mymodule.example/1.2.3/x.js
#       integrity: sha384-Je+NE+saisQuoi
#
# ### The "multi-file" type
#
# Besides the shared ones, the following fields are used:
# * `files`: An object mapping destination paths to `src` and `integrity` keys.
#
# For example:
#
#     mymodule:
#       type: multi-file
#       files:
#         x.js:
#           src: https://mymodule.example/1.2.3/x.js
#           integrity: sha384-Je+NE+saisQuoi
#         x.css:
#           src: https://mymodule.example/1.2.3/x.css
#           integrity: sha384-Je+NE+saisQuoi
#
# ### The "tar" type
#
# Besides the shared ones, the following fields are used:
# * `src`: Full URL to the remote resource.
# * `integrity`: Cryptographic hash (integrity metadata format per <https://www.w3.org/TR/SRI/>).
# * `dest`: [optional] The default is to extract all files from the package.
#    To only extract some of the files or directories, use "dest" to specify
#    files, directories, and/or glob patterns. You can use a site like https://unpkg.com/
#    to easily inspect an npm package, like <https://unpkg.com/jquery-client@2.0.2/>.
#    This field can also be used to extract files to a subdirectory (by default the files and
#    directories listed in "dest" are extracted to the module directory root).
#
# For example:
#
#     mymodule:
#       type: tar
#       src: https://registry.npmjs.org/jquery-client/-/jquery-client-9.2.0.tgz
#       integrity: sha384-Je+NE+saisQuoi
#       dest:
#         package/dist/x.js:
#         package/dist/i18n:
#         package/dist/style/*.css: themes
#
# This would extract the "x.js" file, the "i18n" directory (recursive),
# and any "*.css" files from the "style" directory. They will end up in mymodule/x.js,
# mymodule/i18n and mymodule/themes, respectively.
#
# ### The "doc-only" type
#
# This type can be used for packages which are managed in some custom way (e.g. they require a
# manual build step). manageForeignResources.php will ignore these records, but they will still
# be shown on Special:Version. Only the shared fields are used.
#

CLDRPluralRuleParser:
  license: MIT
  homepage: https://github.com/santhoshtr/CLDRPluralRuleParser
  authors: Santhosh Thottingal
  version: 1.3.1-0dda851
  purl: pkg:github/santhoshtr/CLDRPluralRuleParser@0dda851#src/CLDRPluralRuleParser.js
  type: file
  src: https://raw.githubusercontent.com/santhoshtr/CLDRPluralRuleParser/0dda851/src/CLDRPluralRuleParser.js
  integrity: sha384-M4taeYYG2+9Ob1/La16iO+zlRRmBV5lBR3xUKkQT6kfkJ0aLbCi6yc0RYI1BDzdh

codex:
  license: GPL-2.0+
  homepage: https://doc.wikimedia.org/codex/
  authors: Design System team, Wikimedia Foundation
  version: 1.14.0
  purl: pkg:npm/@wikimedia/codex@1.14.0
  type: tar
  src: https://registry.npmjs.org/@wikimedia/codex/-/codex-1.14.0.tgz
  integrity: sha384-o8NvdWUn15pb7fzwPohTiifUab8UGVslAI8VGcAjPizeJeYwZ/Gmiajvck3D+Rz4
  dest:
    package/dist/codex.cjs:
    package/dist/codex.js:
    package/dist/codex.umd.cjs:
    package/dist/codex.*.css:
    package/dist/modules/*: modules
    package/dist/mixins/*: mixins
    package/dist/messageKeys.json:
    package/LICENSE:
    package/README.md:
    package/CHANGELOG.md:

codex-design-tokens:
  license: GPL-2.0+
  homepage: https://doc.wikimedia.org/codex/
  authors: Design System team, Wikimedia Foundation
  version: 1.14.0
  purl: pkg:npm/@wikimedia/codex-design-tokens@1.14.0
  type: tar
  src: https://registry.npmjs.org/@wikimedia/codex-design-tokens/-/codex-design-tokens-1.14.0.tgz
  integrity: sha384-9+A0bemVWjCetPN9hBgrg+A9+oFH743oIV6I4ODYp3GHZ5P2ede17y4TR2tZlJON
  dest:
    package/dist/theme-*.less:
    package/dist/theme-wikimedia-ui-root.css:
    package/dist/theme-wikimedia-ui-mode-dark.css:
    package/LICENSE:
    package/README.md:

codex-icons:
  license: MIT
  homepage: https://doc.wikimedia.org/codex/
  authors: Design System team, Wikimedia Foundation
  version: 1.14.0
  purl: pkg:npm/@wikimedia/codex-icons@1.14.0
  type: tar
  src: https://registry.npmjs.org/@wikimedia/codex-icons/-/codex-icons-1.14.0.tgz
  integrity: sha384-heGnyT3UdMvqIJ/BzDxVVyuLWcBajYUATVAqIG/48249BJJvfmGgDXdYHK0aYbJ1
  dest:
    package/dist/codex-icons.json:
    package/dist/codex-icon-paths.less:
    package/LICENSE:
    package/README.md:

url:
  license: MIT
  homepage: https://github.com/mrhenry/polyfill-library
  authors: Financial Times
  version: 3.111.0-0ece79ce32
  purl: pkg:github/mrhenry/polyfill-library@0ece79ce32
  type: multi-file
  files:
    URL.js:
      src: https://raw.githubusercontent.com/mrhenry/polyfill-library/0ece79ce32/polyfills/URL/polyfill.js
      integrity: sha384-ZAFKMtnv4166IfCOoSoxGM1b4JQx/njgDOWwnaSQPESHAqvjE0e5gXmYBYyjQEl8
    URL-toJSON.js:
      src: https://raw.githubusercontent.com/mrhenry/polyfill-library/0ece79ce32/polyfills/URL/prototype/toJSON/polyfill.js
      integrity: sha384-Fy884Llzghu/2ag7WG9GtW4BhSprpT9ZdbSKfetBSoD7V6VW1AE5hx1PA0LXVqlC
    LICENSE.md:
      src: https://raw.githubusercontent.com/mrhenry/polyfill-library/0ece79ce32/LICENSE.md
      integrity: sha384-kXXDJ+mVdRawUrEAkIAPr1Lz40TzWjVxllGDCxB9+fHcLXtNsSYrKIvzNgTBF+En

fetch-polyfill:
  license: MIT
  homepage: https://github.com/github/fetch#readme
  authors: GitHub, Inc.
  version: 3.6.2
  type: tar
  src: https://registry.npmjs.com/whatwg-fetch/-/whatwg-fetch-3.6.2.tgz
  integrity: sha384-MKKGEwKprHZSo8G05laATm+iES1Lbsp/Dy7riDibahMr2TyJS7HClsxKjcGk+3FJ
  dest:
    package/dist/fetch.umd.js:
    package/LICENSE:
    package/README.md:

intersection-observer:
  license: Apache-2.0
  homepage: https://github.com/GoogleChromeLabs/intersection-observer
  authors: Philip Walton
  version: 0.12.0
  purl: pkg:npm/intersection-observer@0.12.0
  type: tar
  src: https://registry.npmjs.org/intersection-observer/-/intersection-observer-0.12.0.tgz
  integrity: sha384-zCaiM7krKokKgwmrn87MtEtBUfsddhfofL0x+6KiGr+nHRa4b/ZdcfkBUSEtuEUw
  dest:
    package/intersection-observer.js:
    package/README.md:

jquery:
  license: MIT
  homepage: https://jquery.com
  authors: OpenJS Foundation and other contributors
  version: 3.7.1
  type: multi-file
  files:
    # Integrities from link modals https://code.jquery.com/jquery/
    jquery.js:
      src: https://code.jquery.com/jquery-3.7.1.js
      integrity: sha256-eKhayi8LEQwp4NKxN+CfCh+3qOVUtJn3QNZ0TciWLP4=

jquery.chosen:
  license: MIT
  homepage: https://harvesthq.github.io/chosen/
  authors: Patrick Filler for Harvest, Matthew Lettini, Patrick Filler, Ken Earley, Christophe Coevoet, Koen Punt, and T.J. Schuck.
  version: 1.8.2
  purl: pkg:github/harvesthq/chosen@1.8.2
  type: multi-file
  files:
    LICENSE:
      src: https://raw.githubusercontent.com/harvesthq/chosen/v1.8.2/LICENSE.md
      integrity: sha384-hxUqOVbJZTd9clMlf9yV18PjyKQ2rUOCXLgFNYlV/blpyeCyiUCpmVjAmNP0yc8M
    README.md:
      src: https://raw.githubusercontent.com/harvesthq/chosen/v1.8.2/README.md
      integrity: sha384-ps8fQiOF1anPibj6QMNii4OcAbZNcy+dkmdJUZzqBgmfjaPth9YDe0TRIk89lfID
    # Following files taken from CDN because they're built, and don't exist in the repo
    chosen-sprite.png:
      src: https://cdnjs.cloudflare.com/ajax/libs/chosen/1.8.2/chosen-sprite.png
      integrity: sha384-QL0lDMjIhfcd5uzKEIPehkhx7l0gHWxFo1taNsY2hdDuYdGAadNhiwKueQ91R8KW
    chosen-sprite@2x.png:
      src: https://cdnjs.cloudflare.com/ajax/libs/chosen/1.8.2/chosen-sprite%402x.png
      integrity: sha384-MSDzP+ofFO+lRrCZQn3dztHS/GdR8Ai907bxrRZeuGSi87G8XffEKTxxM99GTvr1
    chosen.css:
      src: https://cdnjs.cloudflare.com/ajax/libs/chosen/1.8.2/chosen.css
      integrity: sha384-VeNz/jFhcqEG5UB40sPZW8Bg8sdtbtXW1038aqBPAZy/z/6j1XsSQjRUJ7NEM3nE
    chosen.jquery.js:
      src: https://cdnjs.cloudflare.com/ajax/libs/chosen/1.8.2/chosen.jquery.js
      integrity: sha384-EzfvMGW4mwDo/InJrmR/UvtxTUUYUA0cfybfS8aqPG1ItoAQYYYDImWl1gaBzMfQ

jquery.client:
  license: MIT
  homepage: https://www.npmjs.com/package/jquery-client
  authors: Trevor Parscal, Timo Tijhof, and Roan Kattouw
  version: 3.0.0
  purl: pkg:npm/jquery-client@3.0.0
  type: tar
  src: https://registry.npmjs.org/jquery-client/-/jquery-client-3.0.0.tgz
  integrity: sha256-BRPTsJn7fViZ2ip0YUBT9L90wJ8s0BFE17ccpmLfPUk=
  dest:
    package/AUTHORS.txt:
    package/jquery.client.js:
    package/LICENSE-MIT:
    package/README.md:

jquery.i18n:
  license: MIT OR GPL-2.0-or-later
  homepage: https://github.com/wikimedia/jquery.i18n
  authors: Language Engineering team, Wikimedia Foundation
  version: 1.0.10
  purl: pkg:github/wikimedia/jquery.i18n@1.0.10
  type: tar
  src: https://codeload.github.com/wikimedia/jquery.i18n/tar.gz/72c45cd91d8c5cdb4c3ee7e341e54ebb194e71e2
  integrity: sha384-zP2+HbmfoQ+fSMuj3Auh9dlqk/FEVV76i38CabjTPnl5Rp41G+IfHeaGKRNPTGyn
  dest:
    jquery.i18n-*/CODE_OF_CONDUCT.md:
    jquery.i18n-*/CREDITS:
    jquery.i18n-*/GPL-LICENSE:
    jquery.i18n-*/MIT-LICENSE:
    jquery.i18n-*/README.md:
    jquery.i18n-*/src:

# Heavily modified; see the PATCHES file
jquery.ui:
  license: MIT
  homepage: https://jqueryui.com
  authors: OpenJS Foundation and other contributors
  version: 1.9.2
  type: doc-only

moment:
  license: MIT
  homepage: https://momentjs.com
  authors: JS Foundation and other contributors
  version: 2.25.2
  purl: pkg:github/moment/moment@2.25.2
  type: tar
  src: https://codeload.github.com/moment/moment/tar.gz/2.25.2
  integrity: sha384-Kdi8+psMUggMYwnp+uBCuy03sBfDbKFyjzdLWJks/4O8x4DwOFWzYbtm7RbJ4ISU
  dest:
    moment-2.25.2/moment.js:
    moment-2.25.2/CHANGELOG.md:
    moment-2.25.2/README.md:
    moment-2.25.2/LICENSE:
    moment-2.25.2/locale/*.js: locale

mustache:
  license: MIT
  homepage: https://github.com/janl/mustache.js
  authors: Michael Jackson, Jan Lehnardt, Phillip Johnsen, and other contributors
  version: 4.2.0
  purl: pkg:npm/mustache@4.2.0
  type: tar
  src: https://registry.npmjs.org/mustache/-/mustache-4.2.0.tgz
  integrity: sha384-JKpbW4FTGK4zdRNitERF8271K0N5EMpnxY9/yrm8CEUPUE+DZsiBstkkzGd89uJG
  dest:
    package/mustache.js:
    package/LICENSE:

oojs:
  license: MIT
  homepage: https://www.mediawiki.org/wiki/OOjs
  authors: OOjs Team and other contributors
  version: 7.0.1
  purl: pkg:npm/oojs@7.0.1
  type: tar
  src: https://registry.npmjs.org/oojs/-/oojs-7.0.1.tgz
  integrity: sha384-2O0mmkNNV9RilbKtQjCL8wUfIf3Eb+/5CKQEsC4yCbf1NAV1MM67O2GxcC1/cj9Q
  dest:
    package/dist/oojs.js:
    package/AUTHORS.txt:
    package/LICENSE-MIT:
    package/README.md:

ooui:
  license: MIT
  homepage: https://www.mediawiki.org/wiki/OOUI
  authors: OOUI Team and other contributors
  version: 0.51.2
  purl: pkg:npm/oojs-ui@0.51.2
  type: tar
  src: https://registry.npmjs.org/oojs-ui/-/oojs-ui-0.51.2.tgz
  integrity: sha384-g6cWXC5OOcrrOpbgmi5fMTYH+v2/LeHB03EnFgZjwxt4Mzu5a1jJ6EOFB6JSqPIg

  dest:
    # Main stuff
    package/dist/oojs-ui-core.js{,.map.json}:
    package/dist/oojs-ui-core-{wikimediaui,apex}.css:
    package/dist/oojs-ui-widgets.js{,.map.json}:
    package/dist/oojs-ui-widgets-{wikimediaui,apex}.css:
    package/dist/oojs-ui-toolbars.js{,.map.json}:
    package/dist/oojs-ui-toolbars-{wikimediaui,apex}.css:
    package/dist/oojs-ui-windows.js{,.map.json}:
    package/dist/oojs-ui-windows-{wikimediaui,apex}.css:
    package/dist/oojs-ui-{wikimediaui,apex}.js{,.map.json}:
    package/dist/i18n:
    # WikimediaUI theme
    package/dist/themes/wikimediaui/images/icons/*.{svg,png}: themes/wikimediaui/images/icons
    package/dist/themes/wikimediaui/images/indicators/*.{svg,png}: themes/wikimediaui/images/indicators
    package/dist/themes/wikimediaui/*.json: themes/wikimediaui
    package/dist/wikimedia-ui-base.less:
    # Apex theme (icons and indicators)
    package/dist/themes/apex/*.json: themes/apex
    # Misc stuff
    package/dist/AUTHORS.txt:
    package/dist/History.md:
    package/dist/LICENSE-MIT:
    package/dist/README.md:

pako:
  license: MIT AND Zlib
  homepage: https://github.com/nodeca/pako
  authors: Andrei Tuputcyn, Vitaly Puzrin, Friedel Ziegelmayer, Kirill Efimov, Jean-loup Gailly, and Mark Adler
  version: 2.1.0
  purl: pkg:github/nodeca/pako@2.1.0
  type: multi-file
  files:
    pako_deflate.js:
      src: https://raw.githubusercontent.com/nodeca/pako/2.1.0/dist/pako_deflate.js
      integrity: sha384-OnIes9Zm3mAxdP2URZyV1WjDdCm6WcghykNJeIHvUSGUBwAYJuBE9oIMyHkDgWmL
    pako_deflate.min.js:
      src: https://raw.githubusercontent.com/nodeca/pako/2.1.0/dist/pako_deflate.min.js
      integrity: sha384-g47DZI9UNr0h29/i2S4PKozocdFoRssd5kkkeDdXjsIWnoRo0iNfgnaVvKFzhMr+
    README.md:
      src: https://raw.githubusercontent.com/nodeca/pako/2.1.0/README.md
      integrity: sha384-mQ9cShSJ6yG8JTPL7LkbnfUnTmc7LA2hnBMSNfb5X7xk6pTFzVTurK9gcSMgJu3B
    LICENSE:
      src: https://raw.githubusercontent.com/nodeca/pako/2.1.0/LICENSE
      integrity: sha384-9tg5LwdfxM6Fpdp6Sep9VI0qXS7Eg5gQRPvNrfV3DKIkVVL3EwSK2atu+zRoEwJg

pinia:
  license: MIT
  homepage: https://pinia.vuejs.org/
  authors: Eduardo San Martin Morote
  version: 2.0.16
  purl: pkg:npm/pinia@2.0.16
  type: tar
  src: https://registry.npmjs.org/pinia/-/pinia-2.0.16.tgz
  integrity: sha512-9/LMVO+/epny1NBfC77vnps4g3JRezxhhoF1xLUk8mZkUIxVnwfEAIRiAX8mYBTD/KCwZqnDMqXc8w3eU0FQGg==

  dest:
    package/README.md:
    package/LICENSE:
    package/dist/pinia.iife.js:
    package/dist/pinia.iife.prod.js:

qunitjs:
  license: MIT
  homepage: https://qunitjs.com
  authors: OpenJS Foundation and other contributors
  version: 2.20.0
  type: multi-file
  # Integrity from link modals at https://code.jquery.com/qunit/
  files:
    qunit.js:
      src: https://code.jquery.com/qunit/qunit-2.20.0.js
      integrity: sha256-qDPbT8viaD6gCaTrUd7FOE5lU5S9H5U5bbuQMADnrRY=
    qunit.css:
      src: https://code.jquery.com/qunit/qunit-2.20.0.css
      integrity: sha256-NN2oro7r8aYcRYA4fnBbijdLRS7Rc4Pz9ikcmlwWvl4=

sinonjs:
  license: BSD-3-Clause
  homepage: https://sinonjs.org/
  authors: Christian Johansen and other contributors
  version: 1.17.7
  type: file
  src: https://sinonjs.org/releases/sinon-1.17.7.js
  integrity: sha384-wR63Jwy75KqwBfzCmXd6gYws6uj3qV/XMAybzXrkEYGYG3AQ58ZWwr1fVpkHa5e8
  dest: sinon.js

swagger-ui:
  license: Apache-2.0
  homepage: https://swagger.io/tools/swagger-ui/
  version: 4.15.5
  authors: Kyle Shockey, Tony Tam, Vladimír Gorej, and others
  type: tar
  src: https://codeload.github.com/swagger-api/swagger-ui/tar.gz/refs/tags/v4.15.5
  integrity: sha384-pOwNNBDnfD+zlf8LtM3994vvCyIaaFpiyRhCRs3FI2GJ/ESZcfZ2YbJ8E4ECf+R7
  dest:
    swagger-ui-4.15.5/README.md:
    swagger-ui-4.15.5/LICENSE:
    swagger-ui-4.15.5/dist/swagger-ui-bundle.js:
    swagger-ui-4.15.5/dist/swagger-ui-bundle.js.map:
    swagger-ui-4.15.5/dist/swagger-ui-standalone-preset.js:
    swagger-ui-4.15.5/dist/swagger-ui-standalone-preset.js.map:
    swagger-ui-4.15.5/dist/swagger-ui.css:
    swagger-ui-4.15.5/dist/swagger-ui.css.map:

vue-demi:
  license: MIT
  homepage: https://github.com/vueuse/vue-demi/
  authors: Anthony Fu
  version: 0.14.7
  purl: pkg:npm/vue-demi@0.14.7
  type: tar
  src: https://registry.npmjs.org/vue-demi/-/vue-demi-0.14.7.tgz
  integrity: sha384-QtuGGEowk/dEp/TbptrrLsk775PREnaIEH9eORfmFEy2r6uj71NS0BtNmuU0ITS6
  dest:
    package/README.md:
    package/LICENSE:
    package/lib/v3/index.cjs:

vue:
  license: MIT
  homepage: https://vuejs.org/
  authors: Yuxi (Evan) You
  version: 3.4.27
  purl: pkg:npm/vue@3.4.27
  type: tar
  src: https://registry.npmjs.org/vue/-/vue-3.4.27.tgz
  integrity: sha384-NI/upbRDNmqZCbvCtpncGt32Iw2gOsS6j/l3D4wSfz9IVnSXqLhO5mHLbVblRHet
  dest:
    package/README.md:
    package/LICENSE:
    package/dist/vue.global.js:
    package/dist/vue.global.prod.js:

vuex:
  license: MIT
  homepage: https://vuex.vuejs.org/
  authors: Yuxi (Evan) You
  version: 4.0.2
  purl: pkg:npm/vuex@4.0.2
  type: tar
  src: https://registry.npmjs.org/vuex/-/vuex-4.0.2.tgz
  integrity: sha512-M6r8uxELjZIK8kTKDGgZTYX/ahzblnzC4isU1tpmEuOIIKmV+TRdc+H4s8ds2NuZ7wpUTdGRzJRtoj+lI+pc0Q==

  dest:
    package/README.md:
    package/LICENSE:
    package/dist/vuex.global.js:
    package/dist/vuex.global.prod.js:
